;-------------------------------------------------------------------------------
; NAME: dds.asm
;
; LABEL PREFIX: "XCVR"
;
; Author:	G8KBB
;
; PURPOSE:	This programs the DDSes
;
;REVISION HISTORY:
;		25/9/00		G8KBB	Initial Revision
;
;-------------------------------------------------------------------------------		
;
; this function sets DDS1
; it reads the tx / rx flag and vcoa/b flags
; to decide which VCO to read ( a / b ) and
; sets the DDS accordingly
;
; If RXFlags, RXF_Xmit is set,
;	if RXFlags, RXF_TX_B is set
;		use VCOB
;	else
;		use VCOA
;	endif
; else
;	if RXFlags, RXF_RX_B is set
;		use VCOB
;	else
;		use VCOA
;	endif
; endif
;
do_dds_events:
	btfss	UPDATE_1,DDS1_REWRITE ; note - I2C events handler clears this flag
	return
setdds1:
	movlw	DDS1A_0		 ; point to VCOA
	btfss	RXFlags,RXF_On_Xmit ; If on receive
	goto	setdds1_0	 ; then skip over
	btfsc	RXFlags,RXF_TX_B ; on xmit, VCOB ?
	movlw	DDS1B_0		 ; if so, change to VCOB
	goto	setdds1_1
setdds1_0:
	btfsc	RXFlags,RXF_RX_B ; on xmit, VCOB ?
	movlw	DDS1B_0		 ; if so, change to VCOB
setdds1_1:
;
; now add offset for CWfilter if needed
;
	btfss	RXFlags2,RXF2_CWFilter
	goto	setdds1_2
	addlw	3
	movwf	FSR0		; point to end of dds setting
	bcf	ALUSTA,FS0	; set auto decrement FSR0
	movfp	CWofs3,WREG
	addwf	INDF0,W
	movwf	TEMPB3
	movfp	CWofs2,WREG
	addwfc	INDF0,W
	movwf	TEMPB2
	movfp	CWofs1,WREG
	addwfc	INDF0,W
	movwf	TEMPB1
	clrf	WREG,F
	btfsc	CWofs1,7
	setf	WREG,F
	addwfc	INDF0,W
	movwf	TEMPB0
;
	movlw	TEMPB0		; point to result
	movwf	FSR0
	bsf	ALUSTA,FS0	; reinstate post increment
;
; now send data to dds
;
setdds1_2:
	movlb	BANK1
	bsf	PORTE,DDS_CLK	; ensure outputs high
	bsf	PORTE,DDS1_E	 
	movwf	FSR0		; save dds pointer in FSR0
	movlw	4		; 4 bytes to send
	movwf	I		; set loop count
setdds1_3:
	movlw	8		; 8 bits per byte
	movwf	J		; set loop count
	movpf	INDF0,WREG	; get byte to send
setdds1_4:
	rlcf	WREG,F		; get bit
	bcf	PORTE,DDS_DATA
	btfsc	ALUSTA,C	; if it was a '1'
	bsf	PORTE,DDS_DATA	; then output a '1'
	nop
	bcf	PORTE,DDS_CLK	; and clock it in
	nop
	bsf	PORTE,DDS_CLK
	decfsz	J,F		; decrement bit loop count
	goto	setdds1_4	; and loop until 0
	decfsz	I,F		; decrement byte count
	goto	setdds1_3	; and loop until 0
	bcf	PORTE,DDS1_E	; now load word into DDS
	nop
	bsf	PORTE,DDS1_E
	bcf	UPDATE_1,DDS1_REWRITE
	return


