;------------------------------------------------------------------------------
; NAME: pblabels.asm
;
; LABEL PREFIX: N/A
;
; AUTHOR: 	Dave Roberts G8KBB
;
; PURPOSE:	returns on screen display label data for buttons
;
; SPECIAL CONDITIONS:
;	
; REVISION HISTORY:
;		15 06 99	G8KBB	Initial version
;------------------------------------------------------------------------------		

;	note there must be EXACTLY as many entries in pb_func_index in pbfuncs.asm  
;	as there are table entries in pbl_index.
;	or it will not run correctly.


pbl_index:
	dw	pbl_nul			; 0
	dw	pbl_bup, pbl_bdn 	; 1 - 2
	dw	pbl_160, pbl_80, pbl_40 ; 3 - 5
	dw	pbl_30, pbl_20, pbl_18 	; 6 - 8
	dw	pbl_15, pbl_12, pbl_10 	; 9 - 0b
;	dw	pbl_6, pbl_4, pbl_2 	; 0c - 0e
	dw	pbl_band, pbl_accel	; 0f - 10 
	dw	pbl_mode, pbl_atten	; 11 - 12
	dw	pbl_tune, pbl_volume	; 13 - 14
	dw	pbl_micgain, pbl_ifgain	; 15 - 16
	dw	pbl_hangtime, pbl_voxgain ; 17 - 18
	dw	pbl_antivox, pbl_voxdelay ; 19 - 1a
	dw	pbl_rfpower, pbl_setopto2 ; 1b - 1c
	dw	pbl_vcoab, pbl_vcosplit	; 1d - 1e
	dw	pbl_rdmem, pbl_rdmem1	; 1f - 20
	dw	pbl_rdmem2, pbl_rdmem3	; 21 - 22
	dw	pbl_rdmem4		; 23
	dw	pbl_wrmem, pbl_wrmem1	; 1f - 20
	dw	pbl_wrmem2, pbl_wrmem3	; 21 - 22
	dw	pbl_wrmem4		; 23
	dw	pbl_flock		; 24
	dw	pbl_cw, pbl_usb, pbl_lsb ; 25 - 27
	dw	pbl_config_sel, pbl_config_set ; 28, 29
	dw	pbl_cwfilter		; 2a
	dw	pbl_swver		; 2b
#ifdef BACKLIGHT_CONTROL
	dw	pbl_backlight		; 2c
#endif
	dw	pbl_a_eq_b		; 2d
	dw	pbl_menu0		; 2e
	dw	pbl_menu1		; 2f
	dw	pbl_menu2		; 30
	dw	pbl_menu3		; 31
	dw	pbl_voxonoff		; 32
#ifdef INCLUDE_KEYER
	dw	pbl_keyeronoff
	dw	pbl_keyertype
	dw	pbl_keyerspeed
#endif
	dw	pbl_disable_tx
	dw	pbl_pll_check
#ifdef COMMON_DSP_FUNCTIONS
	dw	pbl_dsp_on
	dw	pbl_dsp_agc
	dw	pbl_dsp_bpf
	dw	pbl_dsp_nr
#endif
#ifdef DSP_DDS
	dw	pbl_dsp_lms
	dw	pbl_dsp_notch
	dw	pbl_dsp_txagc
	dw	pbl_2tone_tx
	dw	pbl_tx_proc
#endif
#ifdef RELAY_BOARD
	dw	pbl_indep_tx
	dw	pbl_indep_rx
#endif
	dw	pbl_vox_dis_startup
#ifdef BANDSCAN
	dw	pbl_bandscan
#endif

pbl_nul		db	"     ",0
pbl_bup		db	"Band+",0
pbl_bdn		db	"Band-",0
pbl_160		db	"160m ",0
pbl_80		db	"80m  ",0
pbl_40		db	"40m  ",0
pbl_30		db	"30m  ",0
pbl_20		db	"20m  ",0
pbl_18		db	"17m  ",0
pbl_15		db	"15m  ",0
pbl_12		db	"12m  ",0
pbl_10		db	"10m  ",0
;pbl_6		db	"6m   ",0
;pbl_4		db	"4m   ",0
;pbl_2		db	"2m   ",0
pbl_band	db	"Band ",0
pbl_accel	db	"Accel",0
pbl_mode	db	"Mode ",0
pbl_volume	db	"Vol  ",0
pbl_atten	db	"Atten",0
pbl_tune	db	"Tune ",0
pbl_micgain	db	"MicGn",0
pbl_ifgain	db	"IFGn ",0
pbl_hangtime	db	"HangT",0
pbl_voxgain	db	"VoxGn",0
pbl_antivox	db	"AVox ",0
pbl_voxdelay	db	"VoxDl",0
pbl_rfpower	db	"RFpwr",0
pbl_setopto2	db	"SetF2",0
pbl_vcoab	db	"A/B  ",0
pbl_vcosplit	db	"Split",0
pbl_rdmem	db	"load ",0
pbl_rdmem1	db	"mem1>",0
pbl_rdmem2	db	"mem2>",0
pbl_rdmem3	db	"mem3>",0
pbl_rdmem4	db	"mem4>",0
pbl_wrmem	db	"store",0
pbl_wrmem1	db	">mem1",0
pbl_wrmem2	db	">mem2",0
pbl_wrmem3	db	">mem3",0
pbl_wrmem4	db	">mem4",0
pbl_flock	db	"Lock ",0
pbl_cw		db	"CW   ",0
pbl_usb		db	"USB  ",0
pbl_lsb		db	"LSB  ",0
pbl_config_sel	db	"SelCf",0
pbl_config_set	db	"CFSet",0
pbl_cwfilter	db	"CWflt",0
pbl_swver	db	"SWver",0
#ifdef BACKLIGHT_CONTROL
pbl_backlight	db	"Light",0
#endif
pbl_a_eq_b	db	"A=B  ",0
pbl_menu0	db	"Menu0",0
pbl_menu1	db	"Menu1",0
pbl_menu2	db	"Menu2",0
pbl_menu3	db	"Menu3",0
pbl_voxonoff	db	"Vox  ",0
#ifdef INCLUDE_KEYER
pbl_keyeronoff	db	"EnKey",0
pbl_keyertype	db	"KeyFn",0
pbl_keyerspeed	db	"KeySp",0
#endif
pbl_disable_tx	db	"RLock",0
pbl_pll_check	db	"PLLck",0
#ifdef COMMON_DSP_FUNCTIONS
pbl_dsp_on	db	"DSPon",0
pbl_dsp_agc	db	"DSPag",0
pbl_dsp_bpf	db	"DSPbp",0
pbl_dsp_nr	db	"DSPnr",0
#endif
#ifdef DSP_DDS
pbl_dsp_lms	db	"DSPnf",0
pbl_dsp_notch	db	"Notch",0
pbl_dsp_txagc	db	"TxAGC",0
pbl_2tone_tx	db	"2Tone",0
pbl_tx_proc	db	"Tproc",0
#endif
#ifdef RELAY_BOARD
pbl_indep_tx	db	"IndTX",0
pbl_indep_rx	db	"IndRX",0
#endif
pbl_vox_dis_startup db	"DisVx",0
#ifdef BANDSCAN
pbl_bandscan	db	"Scan ",0
#endif


pb_lab_offset:
#ifdef DISPLAY_320_240
	XYCOORD	D'35',D'02'		; 4
	XYCOORD	D'35',D'08'		; 5
	XYCOORD	D'35',D'15'		; 6
	XYCOORD	D'35',D'21'		; 7
	XYCOORD	D'32',D'01'		; 0
	XYCOORD	D'32',D'07'		; 1
	XYCOORD	D'32',D'14'		; 2
	XYCOORD	D'32',D'20'		; 3
	XYCOORD	D'02',D'23'		; 8
	XYCOORD	D'13',D'23'		; 9
	XYCOORD	D'23',D'23'		; 10
	XYCOORD	D'34',D'23'		; 11
#else
	XYCOORD	0,8+1		; 0
	XYCOORD	0,D'10'+1		; 10
	XYCOORD	6,8+1		; 1
	XYCOORD	6,D'10'+1		; 11
	XYCOORD	D'12',8+1		; 2
	XYCOORD	D'12',D'10'+1	; 12
	XYCOORD	D'18',8+1		; 3
	XYCOORD	0,9+1		; 5
	XYCOORD	0,D'11'+1		; 15
	XYCOORD	6,9+1		; 6
	XYCOORD	6,D'11'+1		; 16
	XYCOORD	D'12',9+1		; 7
	XYCOORD	D'12',D'11'+1	; 17
	XYCOORD	D'18',9+1		; 8
	XYCOORD	D'18',D'10'+1	; 13
	XYCOORD	D'24',D'11'+1	; 19
	XYCOORD	D'24',D'10'+1	; 14
	XYCOORD	D'24',9+1		; 9
	XYCOORD	D'24',8+1		; 4
	XYCOORD	D'18',D'11'+1	; 18
#endif

