;*****************************************************************************
; NAME: PINMAP1.h
;
; LABEL PREFIX: 
;
; AUTHOR: 	Dave Roberts G8KBB
;
; PURPOSE:	This module defines the pin mapping (signal name to port bits)
;   		for PIC17C766 transciever controller.
;
; REVISION HISTORY:
;	aug 99		G8KBB		Reused template for transciever
;	may 00		G8KBB		Ported to 17C766
;****************************************************************************		
;
					; A - PORT 
PTT		EQU		0	; PTT
;RA1		EQU		1	; spare / program interface
SCL		EQU		2	; I2C SCL
SDA		EQU		3	; I2C SDA
;RA4		EQU		4	; spare / program interface
;RA5		EQU		5	; spare / program interface
;		EQU		6	;
;		EQU		7	;

					; B - PORT 
;RB0		EQU		0	;  spare - unused interrupt input
;RB1		EQU		1	;  "				"	
;RB2		EQU		2	;  "				"
;RB3		EQU		3	;  "				"
;RB4		EQU		4	;  "				"
;RB5		EQU		5	;  "				"
OPTO_1_A	EQU		6	; input opto switch 1 A channel ( interrput )
OPTO_2_A	EQU		7	; input opto switch 2 A channel ( interrput )

					; C - PORT
LCDRS		EQU		0	; output LCD Register Select 
LCDRW		EQU		1	; output LCD Read/Write
LCDE		EQU		2	; output LCD E
#ifdef HD44780_X_2_DISPLAY
LCDE2		equ		3	; use CS line as E2 line
#else
LCDCS		EQU		3	; output LCD Chip Select
#endif
LCDRESET	EQU		4	; output LCD reset ( active low )
;RC5		EQU		5	; spare
OPTO_1_B	EQU		6	; Opto switch 1 channel B
OPTO_2_B	EQU		7	; Opto switch 2 channel B

					; D - PORT - data bus for LCD data
;		EQU		0	;  "                            "
;		EQU		1	;  "				"	
;		EQU		2	;  "				"
;		EQU		3	;  "				"
;		EQU		4	;  "				"
;		EQU		5	;  "				"
;		EQU		6	;  "				"
;		EQU		7	;  "				"

					; E - PORT - DDS control
DDS_CLK		EQU		0	;  
DDS_DATA	EQU		1	;  	
DDS1_E		EQU		2	;  
DDS2_E		EQU		3	;  

					; F - PORT - Relays
PWR_CW		EQU		0	;  CW mode
PWR_USB		EQU		1	;  USB
PWR_LSB		EQU		2	;  LSB
PWR_RXFILTCW	EQU		3	;  Narrow/Wide receive filter
PWR_KEYER	EQU		4	;  Key down power
#ifdef BACKLIGHT_CONTROL
PWR_BACKLIGHT	EQU		5	;  Power backlight
#endif					;  ... OR
#ifdef TWO_TONE_TUNE
PWR_TWOTONE	EQU		5	;  ... power 2 tone oscillator
#endif					;  BUT NOT BOTH
PWR_RX		EQU		6	;  Power to RX
PWR_TX		EQU		7	;  Power to TX

					; G - PORT - RS232
KEYER_DASH	EQU		0	;  digital input - keyer dash if low
KEYER_DOT	EQU		1	;  "	                 dot
;		EQU		2	;  spare analogue in or digital out
SMETER_ADC_IN	EQU		3	;  analogue input - s meter ADC
CTS		EQU		4	;  "				"
RTS		EQU		5	;  "				"
TXD		EQU		6	;  "				"
RXD		EQU		7	;  "				"

					; H - PORT - switch matrix 1
;		EQU		0	;  
;		EQU		1	;  "				"	
;		EQU		2	;  "				"
;		EQU		3	;  "				"
;		EQU		4	;  "				"
;		EQU		5	;  "				"
;		EQU		6	;  "				"
;		EQU		7	;  "				"

					; J - PORT - switch matrix 2
;		EQU		0	;  
;		EQU		1	;  "				"	
;		EQU		2	;  "				"
;		EQU		3	;  "				"
;		EQU		4	;  "				"
;		EQU		5	;  "				"
;		EQU		6	;  "				"
;		EQU		7	;  "				"

