;------------------------------------------------------------------------------
; NAME: strings.asm
;
; LABEL PREFIX: N/A
;
; AUTHOR: 	Dave Roberts G8KBB
;
; PURPOSE:	returns on screen display label data for buttons
;
; SPECIAL CONDITIONS:
;	
; REVISION HISTORY:
;		15 06 99	G8KBB	Initial version
;------------------------------------------------------------------------------		

; This module contains data only.
; By indexing into string_index table using an integer offset, the
; print routines can locate a string and its XY location to print it
; note that we can only handle 256 strings this way.

string_index:
s_mode:		dw	str_cw
		dw	str_usb, str_lsb
s_modestr:	dw	str_mode
s_volstr:	dw	str_vol
s_freqstr:	dw	str_freq
s_rxofsstr:	dw	str_rxofs
s_txofsstr:	dw	str_txofs
s_voldatstr	dw	str_voldat
s_attenstr:	dw	str_atten
s_attendb:	dw	str_atten0, str_atten6
		dw	str_atten12, str_atten18
s_fdisp:	dw	str_fdisp
s_fdispB:	dw	str_fdispB
s_xmit:		dw	str_xmit
s_nxmit:	dw	str_nxmit
s_rx:		dw	str_rx
s_configs:	dw	str_micgain
		dw	str_ifgain, str_hangtime
		dw	str_voxgain, str_antivox
		dw	str_voxdelay, str_rfpower
s_blank_f:	dw	str_blank_f
s_blank_fB:	dw	str_blank_fB
s_opto2:	dw	str_opto2
s_vcoamode:	dw	str_vcoamode
s_vcobmode:	dw	str_vcobmode
s_narrow:	dw	str_narrow
s_wide:		dw	str_wide
s_versionstr:	dw	str_versionstr
#ifdef ONSCREEN_SMETER
s_smeter1	dw	str_smeter1
s_smeter2	dw	str_smeter2
s_smeter3	dw	str_smeter3
#endif
#ifdef INCLUDE_KEYER
s_keyer_iambic	dw	str_keyer_iambic
s_keyer_simple	dw	str_keyer_simple
s_key_speed	dw	str_keyer_speed
#endif
s_pll_lock	dw	str_pll_lock
s_no_pll_lock	dw	str_no_pll_lock
s_tx_disabled	dw	str_tx_disabled
s_tx_enabled	dw	str_tx_enabled
s_nolock	dw	str_nolock
s_lock		dw	str_lock
#ifdef COMMON_DSP_FUNCTIONS
s_dsp_off	dw	str_dsp_off
s_dsp_on	dw	str_dsp_on
s_dsp_agc_off	dw	str_dsp_agc_off
s_dsp_agc_on	dw	str_dsp_agc_on
s_dsp_bpf	dw	str_dsp_bpf
s_dsp_hplp	dw	str_dsp_hplp
s_dsp_nrssb	dw	str_dsp_nrssb
s_dsp_nrcw	dw	str_dsp_nrcw
#endif
#ifdef DSP_DDS
s_dsp_off2	dw	str_dsp_off2
s_dsp_lms_on	dw	str_dsp_lms_on
s_dsp_lms_off	dw	str_dsp_lms_off
s_dsp_notch_on	dw	str_dsp_notch_on
s_dsp_notch_off	dw	str_dsp_notch_off
s_dsp_txagc_on	dw	str_dsp_txagc_on
s_dsp_txagc_off	dw	str_dsp_txagc_off
s_dsp_txproc_on	dw	str_dsp_txproc_on
s_dsp_txproc_off dw	str_dsp_txproc_off
s_2tone_off	dw	str_2tone_off
s_2tone_on	dw	str_2tone_on
#endif
s_vox_on	dw	str_vox_on
s_vox_off	dw	str_vox_off
#ifdef RELAY_BOARD
s_normal_txrx	dw	str_normal_txrx
s_indep_rx	dw	str_indep_rx
s_indep_tx	dw	str_indep_tx
s_indep_txrx	dw	str_indep_txrx
#endif
s_vox_pwr_off	dw	str_vox_power_off
s_vox_pwr_on	dw	str_vox_power_on
;
; check table size
;
string_index_end:
	IF	((string_index_end - string_index ) > 0xff )
	error	"String table too long !!!"
	endif
;
; each string comprises the X & Y coordinates
; followed by a null terminated string
;
#ifdef	DISPLAY_40_X_4
str_cw		XYSTRING	D'28',0,"CW "
str_usb		XYSTRING	D'28',0,"USB"
str_lsb		XYSTRING	D'28',0,"LSB"
str_mode	XYSTRING	D'28',1,""
str_vol		XYSTRING	D'28',1,""
str_freq	XYSTRING	0,3,""
str_rxofs	XYSTRING	0,4,""
str_txofs	XYSTRING	0,5,""
str_voldat	XYSTRING	0,3,""	; off display - put on row 4 for now
str_atten	XYSTRING	0,0,""
#ifndef PROTOTYPE_FEB
str_atten0	XYSTRING	0,0,"       "
str_atten6	XYSTRING	0,0," 6 dB  "
str_atten12	XYSTRING	0,0,"12 dB  "
str_atten18	XYSTRING	0,0,"18 dB  "
#else
str_atten0	XYSTRING	0,0,"       "
str_atten6	XYSTRING	0,0,"Atten  "
str_atten12	XYSTRING	0,0,"       "
str_atten18	XYSTRING	0,0,"Atten  "
#endif
str_fdisptxt:
str_fdisp	XYSTRING	8,1,""
str_fdispB	XYSTRING	D'26',1,""
str_xmit	XYSTRING	0,1,"TX"
str_nxmit	XYSTRING	0,1,"  "
str_rx		XYSTRING	0,1,"RX"
str_micgain	XYSTRING	0x10,1,""
str_ifgain	XYSTRING	0x10,1,""
str_hangtime	XYSTRING	0x10,1,""
str_voxgain	XYSTRING	0x10,1,""
str_antivox	XYSTRING	0x10,1,""
str_voxdelay	XYSTRING	0x10,1,""
str_rfpower	XYSTRING	0x10,1,""
str_blank_f	XYSTRING	8,1,"          "
str_blank_fB	XYSTRING	D'26',1,"          "
str_opto2	XYSTRING	0x10,1,""
str_vcoamode	XYSTRING	5,1,""
str_vcobmode	XYSTRING	D'23',1,""
str_narrow	XYSTRING	D'34',0,"NARROW"
str_wide	XYSTRING	D'34',0,"WIDE  "
str_versionstr	XYSTRING	1,0,VERSION
#ifdef INCLUDE_KEYER
str_keyer_iambic XYSTRING	0,2,"Iambic  "
str_keyer_simple XYSTRING	0,2,"Straight"
str_keyer_speed	XYSTRING	0,2,"Keyer "
#endif
str_pll_lock	XYSTRING	0,0,"PLL chk"
str_no_pll_lock	XYSTRING	0,0,"NoPLLck"
str_tx_disabled	XYSTRING	0,1,"TX Dis"
str_tx_enabled	XYSTRING	0,1,"TX En "
str_nolock	XYSTRING	0x10,0,"    "
str_lock	XYSTRING	0x10,0,"LOCK"
#ifdef COMMON_DSP_FUNCTIONS
str_dsp_off	XYSTRING	D'10',2,"                       "
str_dsp_on	XYSTRING	D'10',2,"DSPon"
str_dsp_agc_off	XYSTRING	D'16',2,"     "
str_dsp_agc_on	XYSTRING	D'16',2,"AGCon"
str_dsp_bpf	XYSTRING	D'22',2,"BPF  "
str_dsp_hplp	XYSTRING	D'22',2,"HP/LP"
str_dsp_nrssb	XYSTRING	D'28',2,"NRssb"
str_dsp_nrcw	XYSTRING	D'28',2,"NRcw "
#endif
#ifdef ONSCREEN_SMETER
str_smeter1:
str_smeter2	XYSTRING	0,D'3',""
str_smeter3	XYSTRING	D'30',3,"S"
#endif
str_vox_on	XYSTRING	D'37',2,"Vox"
str_vox_off	XYSTRING	D'37',2,"   "
#ifdef RELAY_BOARD
str_normal_txrx	XYSTRING	0,0,"             "	; off screen
str_indep_rx	XYSTRING	0,0,"Indep RX     "	; off screen
str_indep_tx	XYSTRING	0,0,"Indep TX     "	; off screen
str_indep_txrx	XYSTRING	0,0,"Indep TX & RX"	; off screen
#endif
str_vox_power_on	XYSTRING	0,0,"PwrOn Vox En  "
str_vox_power_off	XYSTRING	0,0,"PwrOn Vox Dis "

#else

#ifdef SIMPLE_DISPLAY
str_cw		XYSTRING	0x0c,0,"CW "
str_usb		XYSTRING	0x0c,0,"USB"
str_lsb		XYSTRING	0x0c,0,"LSB"
str_mode	XYSTRING	0x0c,1,""
str_vol		XYSTRING	0x0c,1,""
str_freq	XYSTRING	0,3,""
str_rxofs	XYSTRING	0,4,""
str_txofs	XYSTRING	0,5,""
str_voldat	XYSTRING	0x15,0,""	; off display
str_atten	XYSTRING	0x16,2,""
#ifndef PROTOTYPE_FEB
str_atten0	XYSTRING	0x16,1,"    "
str_atten6	XYSTRING	0x16,1," 6dB"
str_atten12	XYSTRING	0x16,1,"12dB"
str_atten18	XYSTRING	0x16,1,"18dB"
#else
str_atten0	XYSTRING	0x16,1,"    "
str_atten6	XYSTRING	0x16,1,"Attn"
str_atten12	XYSTRING	0x16,1,"    "
str_atten18	XYSTRING	0x16,1,"Attn"
#endif
str_fdisptxt:
str_fdisp	XYSTRING	1,0,""
str_fdispB	XYSTRING	1,1,""
str_xmit	XYSTRING	0x0c,1,"TX"
str_nxmit	XYSTRING	0x0c,1,"  "
str_rx		XYSTRING	0x0c,1,"RX"
str_micgain	XYSTRING	0x10,1,""
str_ifgain	XYSTRING	0x10,1,""
str_hangtime	XYSTRING	0x10,1,""
str_voxgain	XYSTRING	0x10,1,""
str_antivox	XYSTRING	0x10,1,""
str_voxdelay	XYSTRING	0x10,1,""
str_rfpower	XYSTRING	0x10,1,""
str_blank_f	XYSTRING	1,0,"          "
str_blank_fB	XYSTRING	1,1,"          "
str_opto2	XYSTRING	0x10,1,""
str_vcoamode	XYSTRING	0,0,""
str_vcobmode	XYSTRING	0,1,""
str_narrow	XYSTRING	0x0f,0,"N"
str_wide	XYSTRING	0x0f,0," "
str_versionstr	XYSTRING	1,0,VERSION
#ifdef INCLUDE_KEYER
str_keyer_iambic XYSTRING	0,0,"Iambic      "
str_keyer_simple XYSTRING	0,0,"Straight    "
str_keyer_speed	XYSTRING	0,0,"Keyer "
#endif
str_pll_lock	XYSTRING	0,0,"PLL TX check"
str_no_pll_lock	XYSTRING	0,0,"No PLL check"
str_tx_disabled	XYSTRING	0,0,"TX Disabled "
str_tx_enabled	XYSTRING	0,0,"TX Enabled  "
str_nolock	XYSTRING	0x15,0,"    "	; off screen
str_lock	XYSTRING	0x15,0,"LOCK"	; off screen
#ifdef RELAY_BOARD
str_normal_txrx	XYSTRING	0x15,0,"             "	; off screen
str_indep_rx	XYSTRING	0x15,0,"Indep RX     "	; off screen
str_indep_tx	XYSTRING	0x15,0,"Indep TX     "	; off screen
str_indep_txrx	XYSTRING	0x15,0,"Indep TX & RX"	; off screen
#endif

#else
#ifdef DISPLAY_320_240
str_cw		XYSTRING	0x19,1,"CW "
str_usb		XYSTRING	0x19,1,"USB"
str_lsb		XYSTRING	0x19,1,"LSB"
str_narrow	XYSTRING	0x1c,1,"N"
str_wide	XYSTRING	0x1c,1," "
str_mode	XYSTRING	0x14,1,"Mode"
str_vol		XYSTRING	0x12,0,"Volume"
str_freq	XYSTRING	0,3,""
str_rxofs	XYSTRING	0,4,""
str_txofs	XYSTRING	0,5,""
str_voldat	XYSTRING	0x19,0,""
str_atten	XYSTRING	0x13,2,"Atten"
#ifndef PROTOTYPE_FEB
str_atten0	XYSTRING	0x18,2,"    "
str_atten6	XYSTRING	0x18,2," 6dB"
str_atten12	XYSTRING	0x18,2,"12dB"
str_atten18	XYSTRING	0x18,2,"18dB"
#else
str_atten0	XYSTRING	0x18,2," off"
str_atten6	XYSTRING	0x18,2,"  in"
str_atten12	XYSTRING	0x18,2," off"
str_atten18	XYSTRING	0x18,2,"  in"
#endif
#ifdef INCLUDE_GRAPHICS
#ifdef RIGHT_SHIFT_DISPLAY
str_fdisptxt	XYSTRING	4,D'12',""	; dummy used for text display
str_fdisp	XYSTRING	4,D'12'*8,""
str_fdispB	XYSTRING	4,D'16'*8,""
str_blank_f	XYSTRING	4,D'12'*8,"          "
str_blank_fB	XYSTRING	4,D'16'*8,"          "
str_vcoamode	XYSTRING	4,D'12'*8,""
str_vcobmode	XYSTRING	4,D'16'*8,""
#else
str_fdisptxt	XYSTRING	0,D'12',""	; dummy used for text display
str_fdisp	XYSTRING	0,D'12'*8,""
str_fdispB	XYSTRING	0,D'16'*8,""
str_blank_f	XYSTRING	0,D'12'*8,"          "
str_blank_fB	XYSTRING	0,D'16'*8,"          "
str_vcoamode	XYSTRING	0,D'12'*8,""
str_vcobmode	XYSTRING	0,D'16'*8,""
#endif
#else
str_fdisp	XYSTRING	6,3,""
str_fdispB	XYSTRING	6,4,""
str_blank_f	XYSTRING	6,3,"          "
str_blank_fB	XYSTRING	6,4,"          "
str_vcoamode	XYSTRING	6,3,""
str_vcobmode	XYSTRING	6,4,""
#endif
str_xmit	XYSTRING	D'0',D'1',"TRANSMIT"
str_rx		XYSTRING	D'0',D'1',"RECEIVE "
str_nxmit	XYSTRING	D'0',D'1',"        "
str_micgain	XYSTRING	0x10,4,"Mic Gain "
str_ifgain	XYSTRING	0x10,4," IF Gain "
str_hangtime	XYSTRING	0x10,4," IF Hang "
str_voxgain	XYSTRING	0x10,4,"VOX Gain "
str_antivox	XYSTRING	0x10,4,"Anti Vox "
str_voxdelay	XYSTRING	0x10,4,"VoxDelay "
str_rfpower	XYSTRING	0x10,4,"RF power "
str_opto2	XYSTRING	0x11,3,"Opto2 "
str_versionstr	XYSTRING	0,0,VERSION
#ifdef ONSCREEN_SMETER
#ifdef RIGHT_SHIFT_DISPLAY
str_smeter1	XYSTRING	4,D'19',"0 1 2 3 4 5 6 7 8 9  +20 +40 +60"
str_smeter2	XYSTRING	4,D'20',"| | | | | | | | | | | | | | | |"
str_smeter3	XYSTRING	D'12',D'21',"S"
#else
str_smeter1	XYSTRING	0,D'19',"0 1 2 3 4 5 6 7 8 9  +20 +40 +60"
str_smeter2	XYSTRING	0,D'20',"| | | | | | | | | | | | | | | |"
str_smeter3	XYSTRING	8,D'21',"S"
#endif
#endif
#ifdef INCLUDE_KEYER
str_keyer_iambic XYSTRING	0,0,"Iambic        "
str_keyer_simple XYSTRING	0,0,"Straight      "
str_keyer_speed	XYSTRING	0,0,"Keyer "
#endif
str_pll_lock	XYSTRING	0,0,"PLL TX check  "
str_no_pll_lock	XYSTRING	0,0,"No PLL check  "
str_tx_disabled	XYSTRING	0,0,"TX Disabled   "
str_tx_enabled	XYSTRING	0,0,"TX Enabled    "
str_nolock	XYSTRING	3,D'05',"    "
str_lock	XYSTRING	3,D'05',"LOCK"	
#ifdef COMMON_DSP_FUNCTIONS
str_dsp_off	XYSTRING	D'00',D'17',"                       "
str_dsp_on	XYSTRING	D'00',D'17',"DSPon"
str_dsp_agc_off	XYSTRING	D'6',D'17',"     "
str_dsp_agc_on	XYSTRING	D'6',D'17',"AGCon"
str_dsp_bpf	XYSTRING	D'12',D'17',"BPF  "
str_dsp_hplp	XYSTRING	D'12',D'17',"HP/LP"
str_dsp_nrssb	XYSTRING	D'18',D'17',"NRssb"
str_dsp_nrcw	XYSTRING	D'18',D'17',"NRcw "
#endif
str_vox_off		XYSTRING	D'06',D'15',"     "
str_vox_on		XYSTRING	D'06',D'15',"VoxOn"
#ifdef DSP_DDS
str_2tone_off		XYSTRING	D'00',D'15',"     "
str_2tone_on		XYSTRING	D'00',D'15',"2Tone"
str_dsp_off2		XYSTRING	D'12',D'16',"            "
str_dsp_lms_off		XYSTRING	D'12',D'16',"     "
str_dsp_lms_on		XYSTRING	D'12',D'16',"LMSon"
str_dsp_notch_off	XYSTRING	D'18',D'16',"     "
str_dsp_notch_on	XYSTRING	D'18',D'16',"Notch"
str_dsp_txagc_off	XYSTRING	D'00',D'16',"     "
str_dsp_txagc_on	XYSTRING	D'00',D'16',"TXagc"
str_dsp_txproc_off	XYSTRING	D'06',D'16',"     "
str_dsp_txproc_on	XYSTRING	D'06',D'16',"TXpro"
#endif
#ifdef RELAY_BOARD
str_normal_txrx		XYSTRING	D'00',D'14',"                   "
str_indep_rx		XYSTRING	D'00',D'14',"Independent RX     "
str_indep_tx		XYSTRING	D'00',D'14',"Independent TX     "
str_indep_txrx		XYSTRING	D'00',D'14',"Independent TX & RX"
#endif
str_vox_power_on	XYSTRING	0,0,"PwrOn Vox En  "
str_vox_power_off	XYSTRING	0,0,"PwrOn Vox Dis "

#else
str_cw		XYSTRING	0x1b,1,"CW "
str_usb		XYSTRING	0x1b,1,"USB"
str_lsb		XYSTRING	0x1b,1,"LSB"
str_narrow	XYSTRING	0x1e,1,"N"
str_wide	XYSTRING	0x1e,1," "
str_mode	XYSTRING	0x16,1,"Mode"
str_vol		XYSTRING	0x14,0,"Volume"
str_freq	XYSTRING	0,3,"Freq"
str_rxofs	XYSTRING	0,4,"RxOfs"
str_txofs	XYSTRING	0,5,"TxOfs"
str_voldat	XYSTRING	0x1b,0,""
str_atten	XYSTRING	0x14,2,"Atten"
str_atten0	XYSTRING	0x1a,2," off"
str_atten6	XYSTRING	0x1a,2," 6dB"
str_atten12	XYSTRING	0x1a,2,"12dB"
str_atten18	XYSTRING	0x1a,2,"18dB"
str_fdisptxt:
str_fdisp	XYSTRING	6,3,""
str_fdispB	XYSTRING	6,4,""
str_xmit	XYSTRING	8,7,"TRANSMIT"
str_rx:		XYSTRING	8,7,"RECEIVE "
str_nxmit	XYSTRING	8,7,"        "
str_micgain	XYSTRING	0x11,6,"Mic Gain "
str_ifgain	XYSTRING	0x11,6," IF Gain "
str_hangtime	XYSTRING	0x11,6," IF Hang "
str_voxgain	XYSTRING	0x11,6,"VOX Gain "
str_antivox	XYSTRING	0x11,6,"Anti Vox "
str_voxdelay	XYSTRING	0x11,6,"VoxDelay "
str_rfpower	XYSTRING	0x11,6,"RF power "
str_blank_f	XYSTRING	6,3,"          "
str_blank_fB	XYSTRING	6,4,"          "
str_vcoamode	XYSTRING	6,3,""
str_vcobmode	XYSTRING	6,4,""
str_opto2	XYSTRING	0x13,3,"Opto2 "
str_versionstr	XYSTRING	6,3,VERSION
#endif
#endif
#endif


