;-------------------------------------------------------------------------------
; NAME: XVCR.H
;
; LABEL PREFIX: "XCVR"
;
; Author:	G8KBB
;
; PURPOSE:	Misc definitions for transciever
;
;
;REVISION HISTORY:
;		15/06/99	G8KBB	Initial Revision
;		10/05/00	G8KBB	ported to 17C766
;
;-------------------------------------------------------------------------------		
; Define this label if you want a non functional model for use with mplab.
; What it does is to remove portions of the code that slow down or impede
; debugging under mplab. The result is code that would not run properly
; but is easy to play with for development purposes.

;;#define DEBUG_VERSION

#ifdef DEBUG_VERSION
	MESSG "****** WARNING - DEBUG VERSION ********"
	MESSG "**** DO NOT TRY TO USE THIS BUILD *****"
#endif
;----------------------------------------------------------------------------
; define label of version to be built
;-----------------------------------------------------------------------------

#define VERSION "V1.20 01/07/03"
	MESSG VERSION

;------------------------------------------------------------------------------		
; define version to be built
;------------------------------------------------------------------------------		
;;#define GEORGE_320x240
;;#define GEORGE_320x240_no_buttons
;;#define GEORGE_40x4
#define DAVE_320x240
;;#define COLIN
;;#define GEORGE_40x4_8574
;;#define GEORGE_320x240_8574
;----------------------------------------------------------------------------
; define charactaristice of version to be built
;-----------------------------------------------------------------------------
; each section below defines a different version.
; the version to be built is defined first
; it is probably best to add your own configuration rather than
; modify one of the below.
;-----------------------------------------------------------------------------
#ifdef GEORGE_40x4

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building George's version (40x4)"

; 4x4 scanned keyboard ( 0..3 outputs, 4..7 inputs with pullups )
#define KBD_4X4
;
; number of actual display switches
; this defines the number of buttons that have explicit
; labels associated with them on the screen ( look at
; a picture of the 320x240 on Dave's rig).
; Other buttons function the same but to not have
; an on screen label.
NUM_BUTTONS	equ	D'00'
;
; 10 bands, 1.8 to 28 MHz
; you may increate this to a max of 16 PROVIDED THAT
; you increase the entries in bandtab.asm
NUM_BANDS	EQU	D'09'
;
; implement secondary low pass filter driver
;;#define EXTERNAL_LPF_DRIVER
;
; George's hardware is based on 8574A's not 8574s
#define I2C_TX_FILTER_IS_8574A
#define I2C_TX_FILTER2_IS_8574A
#define I2C_FEB1_IS_8574A
#define I2C_FEB2_IS_8574A
#define I2C_VCO_CTRL_IS_8574A
;
; display is 2 line 16 character alphanumeric
;#define SIMPLE_DISPLAY
;
; display is 4 line 40 character alphanumeric
; with two HD44780 controllers, one for each set of 2 lines
#define HD44780_X_2_DISPLAY
#define DISPLAY_40_X_4
;
; location on screen for configuration data changes
#define CONFIG_LOCN	0,0
;
; blank display of Hz, so minimum shown is 10's of Hz
#define DO_NOT_DISPLAY_HZ
;
; low pass filter default values a la George
; not sure I agree with them !
;;#define LPF_V3
;
; include keyer
#define INCLUDE_KEYER
;
; implement 2 tone tuneup instead of backlight
#define TWO_TONE_TUNE
;
; include dsp control
#define DSP_CONTROL
#define DSP_CONTROL_IS_8574A
;
; include on screen s meter
#define ONSCREEN_SMETER
#define NON_GRAPHIC_SMETER
; include code for relay switch board for tx / rx
;; #define RELAY_BOARD


#endif
;-----------------------------------------------------------------------------
#ifdef GEORGE_40x4_8574

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building George's version (40x4) with PCF8574"

; 4x4 scanned keyboard ( 0..3 outputs, 4..7 inputs with pullups )
#define KBD_4X4
;
; number of actual display switches
; this defines the number of buttons that have explicit
; labels associated with them on the screen ( look at
; a picture of the 320x240 on Dave's rig).
; Other buttons function the same but to not have
; an on screen label.
NUM_BUTTONS	equ	D'00'
;
; 10 bands, 1.8 to 28 MHz
; you may increate this to a max of 16 PROVIDED THAT
; you increase the entries in bandtab.asm
NUM_BANDS	EQU	D'09'
;
; implement secondary low pass filter driver
;;#define EXTERNAL_LPF_DRIVER
;
; George's hardware is based on 8574A's not 8574s
;;#define I2C_TX_FILTER_IS_8574A
;;#define I2C_TX_FILTER2_IS_8574A
;;#define I2C_FEB1_IS_8574A
;;#define I2C_FEB2_IS_8574A
;;#define I2C_VCO_CTRL_IS_8574A
;
; display is 2 line 16 character alphanumeric
;#define SIMPLE_DISPLAY
;
; display is 4 line 40 character alphanumeric
; with two HD44780 controllers, one for each set of 2 lines
#define HD44780_X_2_DISPLAY
#define DISPLAY_40_X_4
;
; location on screen for configuration data changes
#define CONFIG_LOCN	0,0
;
; blank display of Hz, so minimum shown is 10's of Hz
#define DO_NOT_DISPLAY_HZ
;
; low pass filter default values a la George
; not sure I agree with them !
;;#define LPF_V3
;
; include keyer
#define INCLUDE_KEYER
;
; implement 2 tone tuneup instead of backlight
#define TWO_TONE_TUNE
;
; include dsp control
#define DSP_CONTROL
;;#define DSP_CONTROL_IS_8574A
;
; include on screen s meter
#define ONSCREEN_SMETER
#define NON_GRAPHIC_SMETER
; include code for relay switch board for tx / rx
;; #define RELAY_BOARD


#endif
;-----------------------------------------------------------------------------
 
#ifdef DAVE_320x240

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building Dave's version"

#define INCLUDE_TRANSVERTER_DAVE

; protoype front end board ( has diferent relay mappings )
#define PROTOTYPE_FEB
; 4x4 scanned keyboard ( 0..3 outputs, 4..7 inputs with pullups )
#define KBD_4X4
; number of actual display switches
NUM_BUTTONS	equ	D'12'
; swap function of two switch matrix inputs
#define SWAP_SWITCH_PORTS
#ifdef INCLUDE_TRANSVERTER_DAVE
; 12 bands, 1.8 to 28 MHz + 144 / 432 as transverter from 28 MHz
NUM_BANDS	EQU	D'11'
#else
; 10 bands, 1.8 to 28 MHz
NUM_BANDS	EQU	D'09'
#endif
; display is 320x240 pixel alphanumeric / graphic using sed1300
#define DISPLAY_320_240
; display needs graphics functions
#define INCLUDE_GRAPHICS
; location on screen for configuration data changes
#define CONFIG_LOCN	D'18',5
; blank display of Hz, so minimum shown is 10's of Hz
#define DO_NOT_DISPLAY_HZ
; include on screen graphics s meter
#define ONSCREEN_SMETER
; used 8574A for VCO controller
#define I2C_VCO_CTRL_IS_8574A
; include keyer
#define INCLUDE_KEYER
; include backlight control instead of 2 tone tuneup
#define BACKLIGHT_CONTROL
;
; low pass filter default values
; #define LPF_V3
;
; implement 2 tone tuneup instead of backlight
;; #define TWO_TONE_TUNE
;
; include dsp control
#define DSP_DDS
;
; include code for relay switch board for tx / rx
#define RELAY_BOARD
;
; include bandscan logic
#define BANDSCAN


#endif
;-----------------------------------------------------------------------------
 
#ifdef GEORGE_320x240

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building George's version (320x240)"

; 4x4 scanned keyboard on portH ( 0..3 outputs, 4..7 inputs with pullups )
#define KBD_4X4
; number of actual display switches in 32 interrupt controls
NUM_BUTTONS	equ	D'12'
; swap function of two switch matrix inputs
#define SWAP_SWITCH_PORTS
; 10 bands, 1.8 to 28 MHz
NUM_BANDS	EQU	D'09'
; display is 320x240 pixel alphanumeric / graphic using sed1300
#define DISPLAY_320_240
; display needs graphics functions
#define INCLUDE_GRAPHICS
; location on screen for configuration data changes
#define CONFIG_LOCN	D'18',5
; blank display of Hz, so minimum shown is 10's of Hz
#define DO_NOT_DISPLAY_HZ
; include on screen graphics s meter
#define ONSCREEN_SMETER
; do not display vertical line to left of button area
#define OMIT_VERTICAL_SPACER_LINE
; George's hardware is based on 8574A's not 8574s
#define I2C_TX_FILTER_IS_8574A
#define I2C_TX_FILTER2_IS_8574A
#define I2C_FEB1_IS_8574A
#define I2C_FEB2_IS_8574A
#define I2C_VCO_CTRL_IS_8574A
; include keyer
#define INCLUDE_KEYER
; include backlight control instead of 2 tone tuneup
;#define BACKLIGHT_CONTROL
;
; low pass filter default values
#define LPF_V3
;
; implement 2 tone tuneup instead of backlight
#define TWO_TONE_TUNE
;
; include dsp control
;#define DSP_DDS
;
; include dsp control
#define DSP_CONTROL
#define DSP_CONTROL_IS_8574A
;
; include code for relay switch board for tx / rx
; #define RELAY_BOARD
;
; include bandscan logic
#define BANDSCAN


#endif
;-----------------------------------------------------------------------------
 
#ifdef GEORGE_320x240_no_buttons

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building George's version (320x240) no buttons"

; 4x4 scanned keyboard on portH ( 0..3 outputs, 4..7 inputs with pullups )
#define KBD_4X4
; number of actual display switches in 32 interrupt controls
NUM_BUTTONS	equ	D'0'
; If no on screen buttons, shift freq & smeter right on screen
#define RIGHT_SHIFT_DISPLAY
#define OMIT_VERTICAL_SPACER_LINE
; swap function of two switch matrix inputs
#define SWAP_SWITCH_PORTS
; 10 bands, 1.8 to 28 MHz
NUM_BANDS	EQU	D'09'
; display is 320x240 pixel alphanumeric / graphic using sed1300
#define DISPLAY_320_240
; display needs graphics functions
#define INCLUDE_GRAPHICS
; location on screen for configuration data changes
#define CONFIG_LOCN	D'18',5
; blank display of Hz, so minimum shown is 10's of Hz
#define DO_NOT_DISPLAY_HZ
; include on screen graphics s meter
#define ONSCREEN_SMETER
; George's hardware is based on 8574A's not 8574s
#define I2C_TX_FILTER_IS_8574A
#define I2C_TX_FILTER2_IS_8574A
#define I2C_FEB1_IS_8574A
#define I2C_FEB2_IS_8574A
#define I2C_VCO_CTRL_IS_8574A
; include keyer
#define INCLUDE_KEYER
; include backlight control instead of 2 tone tuneup
;#define BACKLIGHT_CONTROL
;
; low pass filter default values
#define LPF_V3
;
; implement 2 tone tuneup instead of backlight
#define TWO_TONE_TUNE
;
; include dsp control
;#define DSP_DDS
;
; include dsp control
#define DSP_CONTROL
#define DSP_CONTROL_IS_8574A
;
; include code for relay switch board for tx / rx
; #define RELAY_BOARD
;
; include bandscan logic
#define BANDSCAN


#endif

;-----------------------------------------------------------------------------
 
#ifdef GEORGE_320x240_8574

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building George's version (320x240) with 8574s"

; 4x4 scanned keyboard on portH ( 0..3 outputs, 4..7 inputs with pullups )
#define KBD_4X4
; number of actual display switches in 32 interrupt controls
NUM_BUTTONS	equ	D'12'
; swap function of two switch matrix inputs
#define SWAP_SWITCH_PORTS
; 10 bands, 1.8 to 28 MHz
NUM_BANDS	EQU	D'09'
; display is 320x240 pixel alphanumeric / graphic using sed1300
#define DISPLAY_320_240
; display needs graphics functions
#define INCLUDE_GRAPHICS
; location on screen for configuration data changes
#define CONFIG_LOCN	D'18',5
; blank display of Hz, so minimum shown is 10's of Hz
#define DO_NOT_DISPLAY_HZ
; include on screen graphics s meter
#define ONSCREEN_SMETER
; George's hardware is based on 8574A's not 8574s
;;#define I2C_TX_FILTER_IS_8574A
;;#define I2C_TX_FILTER2_IS_8574A
;;#define I2C_FEB1_IS_8574A
;;#define I2C_FEB2_IS_8574A
;;#define I2C_VCO_CTRL_IS_8574A
; include keyer
#define INCLUDE_KEYER
; include backlight control instead of 2 tone tuneup
;#define BACKLIGHT_CONTROL
;
; low pass filter default values
;;#define LPF_V3
;
; implement 2 tone tuneup instead of backlight
#define TWO_TONE_TUNE
;
; include dsp control
;#define DSP_DDS
;
; include dsp control
#define DSP_CONTROL
;;#define DSP_CONTROL_IS_8574A
;
; include code for relay switch board for tx / rx
; #define RELAY_BOARD
;
; include bandscan logic
#define BANDSCAN


#endif
;-----------------------------------------------------------------------------
#ifdef COLIN

#ifdef VERSION_DEFINED
	ERROR "Ambiguous version specified!"
#else
#define VERSION_DEFINED
#endif

	MESSG	"Building Colin's version"
; number of actual display switches in 32 interrupt controls
NUM_BUTTONS	equ	D'20'
; 10 bands, 1.8 to 28 MHz
NUM_BANDS	EQU	D'09'
; RS signal sense is inverted from normal alphanumeric displays
#define INVERSE_LCD_RS
; location on screen for configuration data changes
#define CONFIG_LOCN	0,0
#endif

;-----------------------------------------------------------------------------
#ifndef VERSION_DEFINED
	ERROR "NO VERSION SPECIFIED"
#endif

;----------------------------------------------------------------------------
; check version compatibility
;----------------------------------------------------------------------------
#ifdef TWO_TONE_TUNE
#ifdef BACKLIGHT_CONTROL
	error "Cannot specify backlight and 2 tone osc together"
#endif
#endif

#ifdef DSP_CONTROL
#define COMMON_DSP_FUNCTIONS
#endif
#ifdef DSP_DDS
#ifndef COMMON_DSP_FUNCTIONS
#define COMMON_DSP_FUNCTIONS
#endif
#endif
 
;----------------------------------------------------------------------------
; these define the rate of the opto switches
;-----------------------------------------------------------------------------

OPTO_SLOW	EQU 	6	; number of pulses for slow opto increment

OPTO_SLOW2	EQU 	4	; number of pulses for slow opto increment 2


;----------------------------------------------------------------------------
; timer rate control
;-----------------------------------------------------------------------------
; timer is intialised to this value.
; for a 1 msec timer tick, set it as follows
; if clock is 32 MHz, and 4 clock cycles per cpu cycle
; then t0init should be set to clock / 4 / 1000
; in other words 8000, but we offset by 10 to allow
; for lost cycles in timer interrupt routine, hence
; set to 7990
;
T0INIT		EQU	D'7990'	; timer 0 initialise value for 1msec

;----------------------------------------------------------------------------
; debounce PTT line - wait for at least this many msec for stable state
;-----------------------------------------------------------------------------
PTT_DEBOUNCE_MSEC EQU	4

;----------------------------------------------------------------------------
; Labels associated with buttons
;-----------------------------------------------------------------------------

BUTTON_LABEL_SIZE	EQU	5

; time delay ( seconds ) where button needs to be low for programming
PB_PROG_DELAY	EQU	5

;-----------------------------------------------------------------------------
; definitions used in the clearing of ram
;-----------------------------------------------------------------------------

; start / end of ram pages general purpose registers ( used in clearing ram only )
MKPageendb   EQU	0xff		; end of bank 0 ram
MKPagebegb   EQU	0x1f		; start of bank 0 ram

;-----------------------------------------------------------------------------
;       GENERAL MATH LIBRARY DEFINITIONS
;-----------------------------------------------------------------------------
;
;	general literal constants

;	define assembler constants

B0		equ	0
B1		equ	1
B2		equ	2
B3		equ	3
B4		equ	4
B5		equ	5
B6		equ	6
B7		equ	7

MSB		equ	7	
LSB		equ	0

;-----------------------------------------------------------------------------
; this is used to calculate checksums. The total should equal this.
;-----------------------------------------------------------------------------

CKSUM_TOTAL	equ	0xa5	; checksum expected total

;
;-----------------------------------------------------------------------------
; lcd display setup details
;-----------------------------------------------------------------------------
;
#ifdef DISPLAY_40_X_4
LCD_ROWS	equ	4
LCD_COLS	equ	0x40
LCDBF		equ	7		; lcd busy flag bit 7
#else
#ifdef SIMPLE_DISPLAY
LCD_ROWS	equ	2
LCD_COLS	equ	0x40
LCDBF		equ	7		; lcd busy flag bit 7
#else
#ifdef DISPLAY_320_240
LCD_PIXELS_X		equ	D'320'
LCD_PIXELS_Y		equ	D'240'
LCD_ROWS		equ	D'24'
LCD_COLS		equ	D'40'
; next 3 are addresses of ram page data in lcd
TEXT_LAYER_ADDR		equ	0x0000	
GRAPHICS_LAYER_ADDR 	equ	0x0400	
CGRAM_ADDR		equ	0x3000
LCDBF		equ	6		; lcd busy flag bit 6
#else
LCD_PIXELS_X	equ	D'240'
LCD_PIXELS_Y	equ	D'120'
LCD_MODE	equ	0x30
LCD_PITCH	equ	0x97
LCD_CPL		equ	((LCD_PIXELS_X/((LCD_PITCH&0x0f)+1))-1)
LCD_DUTY	equ	0x7f
LCD_ROWS	equ	(LCD_PIXELS_Y/(((LCD_PITCH>>4)&0x0f)+1))
LCD_COLS	equ	LCD_CPL+1
LCDBF		equ	7		; lcd busy flag bit 7
#endif
#endif
#endif

#ifdef BANDSCAN
SCANYLOC	equ	D'17'*8
SCANXLOC	equ	4
#endif

;-----------------------------------------------------------------------------
; macros to insert X & Y coordinates into tables
;-----------------------------------------------------------------------------

XYSTRING	MACRO	X,Y,STR
		db	LOW (((Y) * LCD_COLS ) + (X) ), HIGH (((Y) * LCD_COLS ) + (X) )
		db	STR
		db	0
		ENDM

XYCOORD		MACRO	X,Y
		db	LOW (((Y) * LCD_COLS ) + (X) ), HIGH (((Y) * LCD_COLS ) + (X) )
		ENDM

LOAD_XCOORD		MACRO	X,Y
		movlw	(LOW (((Y) * LCD_COLS ) + (X) ))
		ENDM

LOAD_YCOORD		MACRO	X,Y
		movlw	(HIGH (((Y) * LCD_COLS ) + (X) ))
		ENDM
;
;-----------------------------------------------------------------------------
; S meter parameters
;-----------------------------------------------------------------------------
;
#ifdef ONSCREEN_SMETER
#ifdef NON_GRAPHIC_SMETER
#define SMETERMAXBYTES	D'30'
#define SMETERMAXBITS	(SMETERMAXBYTES * 5)
#define SMETERXLOC 0
#define SMETERYLOC 3
#else
#define SMETERMAXBYTES	D'30'
#define SMETERMAXBITS	(SMETERMAXBYTES * 8)
#ifdef RIGHT_SHIFT_DISPLAY
#define SMETERXLOC 4
#else
#define SMETERXLOC 0
#endif
#define SMETERYLOC ((D'25'*8)+2)
#endif
#endif
;

;-----------------------------------------------------------------------------
; I2C Handler Definitions
;-----------------------------------------------------------------------------
;
I2C_BUF_SIZE	EQU	D'12'	; each command buffer is 12 bytes
I2C_NUM_BUFS	EQU	D'17'	; 17 buffers in all	
I2C_Idle	EQU	2	; alias for R/W bit in I2C SSPSTAT register
I2C_FUNC_BITS	EQU	((1<<ACKEN)||(1<<RCEN)||(1<<PEN)||(1<<RSEN)||(1<<SEN))
;
;-----------------------------------------------------------------------------
; I2C address map
;-----------------------------------------------------------------------------

I2C_EEPROM	EQU	0xa0

I2C_VOL_MIC	EQU	0x5A
; mic pot 0, 
; Vol pot 1

I2C_DAC_1	EQU	0x54
; dac1 channel numbers
I2C_VOX_DLY	EQU	0
I2C_IF_GAIN	EQU	1
I2C_HANG_TIME	EQU	2
I2C_SMETER_CAL	EQU	3
I2C_RF_POWER	EQU	4

I2C_VOX_AVOX	EQU	0x5C
; vox gain pot 0, 
; antivox pot 1

#ifdef I2C_TX_FILTER_IS_8574A
I2C_TX_FILTER	EQU	0x7E	; pcf8574A
#else
I2C_TX_FILTER	EQU	0x4E	; pcf8574
#endif
#ifdef I2C_TX_FILTER2_IS_8574A
I2C_TX_FILTER2	EQU	0x78	; pcf8574A
#else
I2C_TX_FILTER2	EQU	0x48	; pcf8574
#endif
; bit 0 low for 160m
; bit 1 low for 80m
; bit 2 low for 40m
; bit 3 low for 30m / 20m
; bit 5 low for 18m / 15m	; note strange order
; bit 4 low for 12m / 10m	; for these 2 !

#ifdef I2C_FEB1_IS_8574A
I2C_FEB1	EQU	0x74	; pcf8574
#else
I2C_FEB1	EQU	0x44	; pcf8574
#endif
;Prototype front end board mapping:
; bit 0	18 MHz
;     1 14 MHz
;     2 10 MHz
;     3  7 MHz
;     4 3.5MHz
;     5 1.8MHz
;     6 attenuator
;     7 tx/rx relay

; production board mapping:
; bit 0	14 MHz
;     1 10 MHz
;     2  7 MHz
;     3 3.5MHz
;     4 1.8MHz
;     5 attenuator 2A
;     6 attenuator 2
;     7 tx/rx relay

#ifdef I2C_FEB2_IS_8574A
I2C_FEB2	EQU	0x72	; pcf8574A
#else
I2C_FEB2	EQU	0x42	; pcf8574
#endif
;Prototype front end board mapping:
; bit 0 spare
; bit 1 21 MHz
; bit 2 24 MHz
; bit 3 28 MHz
; bit 4 tx/rx relay
; bit 5 spare
; bit 6 spare
; bit 7 tx/rx relay

; production board mapping:
; bit 0 18 MHz
; bit 1 21 MHz
; bit 2 24 MHz
; bit 3 28 MHz
; bit 4 tx/rx relay
; bit 5 spare
; bit 6 spare
; bit 7 tx/rx relay

#ifdef I2C_VCO_CTRL_IS_8574A
I2C_VCO_CTRL	EQU	0x7A	; pcf8574A
#else
I2C_VCO_CTRL	EQU	0x4A
#endif

PLL_CHECK_BIT	EQU	6	; bit used for pll lock check in vco control

#ifdef DSP_CONTROL_IS_8574A
I2C_DSP_CTRL	EQU	0x76	
#else
I2C_DSP_CTRL	EQU	0x46	
#endif

#ifdef RELAY_BOARD_IS_8574A
I2C_RELAY_BOARD	EQU	0x7C
#else
I2C_RELAY_BOARD	EQU	0x4C
#endif

#ifdef DSP_DDS
I2C_DSP_DDS	EQU	0x38
#endif

;-----------------------------------------------------------------------------
; eeprom memory map
; note - if you use a write protect capable eeprom such as 24w16, then
; pb0 and pb1 are set to 0, so the write protect starts in page 4. Put
; data that can be write protected in pages 4 - 7
;-----------------------------------------------------------------------------

; Page 00 - dynamic main data
; Bytes		Usage
; ---------------------------------------------------------
; 00		Band
; 01		Opto 2 Mode
; 02 		acceleration start value
; 03		UI flags
; 04 - 0c	S meter calibration data
; 0d		UI Flags 2
; 0e - 0f		free
; 10		Volume
; 11		Mic Gain
; 12		IF Gain
; 13		Hang Time
; 14		Vox Gain
; 15		Anti Vox
; 16		Vox Delay
; 17		RF Power
; 18		RX Flags
; 19 - 1f		free
; 20 - 23	Attenuator calibration for s meter
; 24 - 2f		free
; 30 - 31	Keyer Data
; 32 - 3f		free
; 40 - 41	DSP control words
; 42 - 44	CW Sidetone Volume & Frequency	
; 45 - 48	LMS config data
; 49 - 4c	Notch filter config data
; 4d - 4f	tx agc & compression data
; 50 - 5f	free
; 60 - 64	scan parameters
; 65 - ff		free
;
; Page 01 - memories
; Bytes		Usage
; ---------------------------------------------------------
; 00 - 0f	4 memories band 0
; 10 - 1f	4 memories band 1
; 20 - ff	4 memories bands 2..15
;
; Page 02 - VCO data ( 2 per band used, 2 spare )
; Bytes		Usage
; ---------------------------------------------------------
; 00 - 0f	4 VCOs band 0
; 10 - ff	4 VCOs bands 1 .. 15
;
; Page 03 - UNUSED
;
; Page 04 - UNUSED
;
; Page 05 - Secondary Band data - write protected
;  ( 16 bytes per entry, 16 bands )
; each entry as follows
;	9 byte spare
;	1 byte checksum
;	1 byte s meter adjustment for band
;	1 byte vco mode
;	1 byte modeflags
;	3 bytes relay control ( lpf, FEB1 & FEB2 )
; Bytes		Usage
; ---------------------------------------------------------
; 00 - 0f	data as above
; 10 - ff	as above, bands 1 .. 15
;
; Page 06 - Main Band data ( 16 bytes per entry, 16 bands ) - write protected
; Bytes		Usage
; ---------------------------------------------------------
; 00 - 0f	Band Min/Max, Step & Offset band 0
; 10 - ff	as above, bands 1 .. 15
;
; Page 07 - static config data - write protected
; Bytes		Usage
; ---------------------------------------------------------
; 00 - 1f	Push Button Data for menu 0
; 20 - 3f	Push Button Data for menu 1
; 40 - 5f	Push Button Data for menu 2
; 60 - 7f	Push Button Data for menu 3
; 80 - 8f	DDS config data ( DDS1, DDS2, CW offset, checksum, USB/LSB offsets )
; 90 - fe		free
; ff		eeprom write protect register - see datasheet on chip



