;------------------------------------------------------------------------------
; NAME: xcvr2.asm
;
; LABEL PREFIX: N/A
;
; AUTHOR: 	Dave Roberts G8KBB
;
; PURPOSE:	Build file for PIC14000 transciever
;
; SPECIAL CONDITIONS:
;	
; REVISION HISTORY:
;		15 06 99	G8KBB	Initial version
;		10 05 00	G8KBB	Ported to 17C766
;------------------------------------------------------------------------------		
	TITLE   	" PIC17C766 / HF Transciever."
	SUBTITL 	""
	PROCESSOR	PIC17c766
	LIST    	N=70,C=126,R=HEX,F=INHX32
	errorlevel	-302, -306

	__config	_XT_OSC & _MC_MODE & _BODEN_ON & _WDT_OFF 


;------------------------------------------------------------------------------		

	include	P17C766.inc		; Microchip standard definition file
	include xcvr.h			; transciever definitions
	include	RMAP.h			; General purpose registers variable allocation map.
	include	Pinmap1.h		; port pin mapping

	page
	org	0		; begin at reset vector.
	include Start.asm	; start and interrupt vectors.
	include Isr.asm		; interrupt processor.
	include	i2c.asm		; I2C interface routines
	include Init.asm	; initializtion and main loop
	include	pb.asm		; push button handler
	include opto.asm	; functions that service opto events
	include dds.asm		; functions that program the DDS chips
	include eeprom.asm	; eeprom update routines
	include	i2c_evt.asm	; I2C send functions
	include	txrx-fsm.asm	; transmit / receive functions
	include lcd.asm		; display functions
	include fdisp.asm	; convert freq to displayed value
	include	pblabels.asm	; label pushbuttons
	include pbfuncs.asm	; push button / opto 2 function handler
	include config.asm	; configuration of parameters
	include	bandtab.asm	; band setting data tables
	include strings.asm	; display strings
	include maths.asm	; arithmetic routines
#ifdef	INCLUDE_GRAPHICS
	include graphics.asm	; display graphics functions
#endif
#ifdef	ONSCREEN_SMETER
	include smeter.asm	; on screen graphics s meter
	include maths2.asm	; arithmetic routines
#endif
#ifdef	INCLUDE_KEYER
	include keyer.asm	; keyer finite state machine
#endif
#ifdef	BANDSCAN
	include bandscan.asm	; on screen spectrum display
#endif


	end

